"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const recast = require("recast");
const AllSyntaxPlugin_1 = require("./AllSyntaxPlugin");
const DEFAULT_OPTIONS = {
    sourceType: 'module',
    allowImportExportEverywhere: true,
    allowReturnOutsideFunction: true,
    allowSuperOutsideMethod: true,
    plugins: AllSyntaxPlugin_1.ALL_PLUGINS
};
function default_1(babel) {
    return {
        parserOverride(code, options, parse) {
            return recast.parse(code, {
                parser: {
                    parse(code) {
                        return parse(code, DEFAULT_OPTIONS);
                    }
                }
            });
        },
        generatorOverride(ast, options, code, generate) {
            return recast.print(ast);
        }
    };
}
exports.default = default_1;
//# sourceMappingURL=RecastPlugin.js.map